# $Revision: 1.8 $, $Date: 2006/12/08 01:10:06 $
Summary:	Full regular expressions API
Summary(pl):	Pene API do wyrae regularnych
Name:		jakarta-oro
Version:	2.0.8
Release:	2
License:	Apache License
Group:		Development/Languages/Java
Source0:	http://www.apache.org/dist/jakarta/oro/%{name}-%{version}.zip
# Source0-md5:	af58ac4811ee023b6211446eb7b7fff2
URL:		http://jakarta.apache.org/oro/
BuildRequires:	ant >= 1.5
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jre
BuildArch:	noarch
ExclusiveArch:	i586 i686 pentium3 pentium4 athlon %{x8664} noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Jakarta-ORO Java classes are a set of text-processing Java classes
that provide Perl5 compatible regular expressions, AWK-like regular
expressions, glob expressions, and utility classes for performing
substitutions, splits, filtering filenames, etc. This library is the
successor to the OROMatcher, AwkTools, PerlTools, and TextTools
libraries from ORO, Inc. (http://www.oroinc.com/). They have been
donated to the Jakarta Project by Daniel Savarese
(http://www.savarese.org/), the copyright holder of the ORO libraries.
Daniel will continue to participate in their development under the
Jakarta Project.

%description -l pl
Klasy Javy Jakarta-ORO to zestaw klas do przetwarzania tekstu
udostpniajcy wyraenia regularne zgodne z Perlem 5, awkowe wyraenia
regularne, wyraenia glob oraz klasy narzdziowe do wykonywania
podstawie, podziaw, filtrowania nazw plikw itp. Ta biblioteka jest
nastpc bibliotek OROMatcher, AwkTools, PerlTools i TextTools firmy
ORO Inc. (http://www.oroinc.com/). Zostay podarowane projektowi
Jakarta przez DAniela Savarese (http://www.savarese.org/), waciciela
praw autorskich do bibliotek ORO. Daniel bdzie nadal udziela si
przy rozwoju tych bibliotek w projekcie Jakarta.

%package javadoc
Summary:	Jakarta-ORO API documentation
Summary(pl):	Dokumentacja API biblioteki Jakarta-ORO
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
Jakarta-ORO API documentation.

%description javadoc -l pl
Dokumentacja API biblioteki Jakarta-ORO.

%prep
%setup -q
find . -name "*.jar" -exec rm -f {} \;
for dir in `find . -type d -name CVS`; do rm -rf $dir; done
for file in `find . -type f -name .cvsignore`; do rm -rf $file; done

%build
unset CLASSPATH || :
export JAVA_HOME="%{java_home}"
%ant -Dfinal.name=oro jar javadocs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_javadocdir}/%{name}-%{version}}

cp oro.jar $RPM_BUILD_ROOT%{_javadir}/oro-%{version}.jar
ln -sf oro-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/oro.jar

cp -R docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COMPILE ISSUES README TODO CHANGES CONTRIBUTORS LICENSE STYLE
%{_javadir}/*.jar

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jakarta-oro.spec,v $
Revision 1.8  2006/12/08 01:10:06  glen
- -javadoc R: jpackage-utils for parent dirs; rel 2

Revision 1.7  2006/05/25 12:30:11  jajcus
- BR: jdk, jpackage-utils, rpmbuild(macros) >= 1.300
- ExclusiveArch
- API docs moved to %{_javadocdir} in a javadoc subpackage
- sanitize CLASSPATH and JAVA_HOME
- versioned jar

Revision 1.6  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.5  2004/04/12 19:46:28  mkierus
- updated to 2.0.8

Revision 1.4  2003/11/11 01:42:28  ankry
- caps unification, other cosmetics

Revision 1.3  2003/08/11 22:46:31  ankry
- cosmetics

Revision 1.2  2003/07/03 22:28:22  qboosh
- pl, R: jre

Revision 1.1  2003/07/02 11:59:27  pascalek
- initial release
